cURL
curl --request POST \
--url https://api.kynva.ai/api/v1/ai/gradient \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"width": 2098,
"height": 2098,
"colors": [
"<string>"
],
"angle": 180,
"seed": 123
}
'import requests
url = "https://api.kynva.ai/api/v1/ai/gradient"
payload = {
"width": 2098,
"height": 2098,
"colors": ["<string>"],
"angle": 180,
"seed": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({width: 2098, height: 2098, colors: ['<string>'], angle: 180, seed: 123})
};
fetch('https://api.kynva.ai/api/v1/ai/gradient', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
API Reference
Post apiv1aigradient
POST
/
api
/
v1
/
ai
/
gradient
cURL
Authorizations
Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)
Body
application/json
Required range:
100 <= x <= 4096Required range:
100 <= x <= 4096Available options:
linear, radial, conic, diamond, duotone, mesh, aurora, waves, sunset, marble, liquid, plasma, spotlight, noise, glass, bokeh, prism, holographic, geometric, crystal, topographic, circuit, nebula Required array length:
2 - 5 elementsPattern:
^#[0-9A-Fa-f]{6}$Required range:
0 <= x <= 360Response
200
Default Response
⌘I